/*
Navicat MySQL Data Transfer

Source Server         : localhost
Source Server Version : 50731
Source Host           : localhost:3306
Source Database       : yi_zheng_xiu

Target Server Type    : MYSQL
Target Server Version : 50731
File Encoding         : 65001

Date: 2022-06-13 09:50:41
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for mortals_xhx_area
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_area`;
CREATE TABLE `mortals_xhx_area` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键,自增长',
  `parentId` bigint(20) DEFAULT NULL COMMENT '上级区域ID',
  `name` varchar(100) DEFAULT NULL COMMENT '区域名称',
  `level` tinyint(4) DEFAULT NULL COMMENT '区域级别，按所处树的节点层次',
  `code` varchar(20) DEFAULT NULL COMMENT '区域编码，按全国省市编码',
  `contactsPeople` varchar(50) DEFAULT NULL COMMENT '区域负责人',
  `contactsMobile` varchar(21) DEFAULT NULL COMMENT '区域负责人电话',
  `childSize` int(11) DEFAULT NULL COMMENT '子区域数量，默认0',
  `maxChildId` int(11) DEFAULT NULL COMMENT '子区域的最大ID，默认0',
  `status` tinyint(4) DEFAULT NULL COMMENT '状态，0停用，1启用',
  `remark` varchar(200) DEFAULT NULL COMMENT '描述',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户ID',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='区域信息业务';

-- ----------------------------
-- Table structure for mortals_xhx_customer
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_customer`;
CREATE TABLE `mortals_xhx_customer` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `loginName` varchar(30) NOT NULL COMMENT '用户登录账号',
  `password` varchar(32) NOT NULL COMMENT '密码',
  `memberLevel` tinyint(2) NOT NULL COMMENT '会员等级，，0：未开启，1：试用客户，2：VIP，3：设计师，默认0',
  `custName` varchar(32) NOT NULL COMMENT '客户真实名称',
  `organization` varchar(64) DEFAULT NULL COMMENT '单位名称',
  `contactTelphone` varchar(11) NOT NULL COMMENT '联系电话',
  `enterpriseConsultant` varchar(64) NOT NULL COMMENT '企业顾问',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点ID',
  `sex` tinyint(2) DEFAULT NULL COMMENT '性别',
  `mailbox` varchar(32) DEFAULT NULL COMMENT '邮箱',
  `job` varchar(32) DEFAULT NULL COMMENT '职位',
  `customerSrc` bigint(20) DEFAULT NULL COMMENT '客户来源',
  `status` tinyint(2) NOT NULL COMMENT '使用状态，1:正常，0:禁用，默认：0',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createTime` datetime NOT NULL COMMENT '注册时间',
  `updateTime` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='客户管理';

-- ----------------------------
-- Table structure for mortals_xhx_customer_trial
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_customer_trial`;
CREATE TABLE `mortals_xhx_customer_trial` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `customerId` bigint(20) NOT NULL COMMENT '客户ID',
  `memberLevel` tinyint(2) NOT NULL COMMENT '申请会员等级，1：试用客户，2：VIP，3：设计师',
  `isAccept` tinyint(2) NOT NULL COMMENT '受理状态，0:未受理，1:同意，2:不同意。默认：0',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '受理用户',
  `createTime` datetime NOT NULL COMMENT '提交时间',
  `updateTime` datetime DEFAULT NULL COMMENT '受理时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='客户试用申请';

-- ----------------------------
-- Table structure for mortals_xhx_customer_work_design
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_customer_work_design`;
CREATE TABLE `mortals_xhx_customer_work_design` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `customerId` bigint(20) NOT NULL COMMENT '客户ID',
  `createTime` datetime NOT NULL COMMENT '收藏时间',
  `masterplateId` bigint(20) NOT NULL COMMENT '模版ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='客户作品信息';

-- ----------------------------
-- Table structure for mortals_xhx_customer_work_design_stat
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_customer_work_design_stat`;
CREATE TABLE `mortals_xhx_customer_work_design_stat` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `customerId` bigint(20) NOT NULL COMMENT '客户ID',
  `customerDesignPictures` int(4) NOT NULL COMMENT '客户设计图片数量',
  `customerDesignVideos` int(4) NOT NULL COMMENT '客户设计视频数量',
  `createTime` datetime NOT NULL COMMENT '注册时间',
  `updateTime` datetime NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='客户作品统计';

-- ----------------------------
-- Table structure for mortals_xhx_design_masterplate
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_design_masterplate`;
CREATE TABLE `mortals_xhx_design_masterplate` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `masterplateName` varchar(64) NOT NULL COMMENT '模版名称',
  `masterplateCode` int(4) NOT NULL COMMENT '模版编码',
  `customerId` bigint(20) NOT NULL COMMENT '发布人',
  `customerName` varchar(32) NOT NULL COMMENT '发布人名称',
  `createTime` datetime NOT NULL COMMENT '发布时间',
  `masterplateDesc` text NOT NULL COMMENT '模版描述',
  `masterplatePath` varchar(64) NOT NULL COMMENT '模版下载地址（相对地址）',
  `pictureId` bigint(20) NOT NULL COMMENT '模版引用的图片',
  `pictureSrcId` bigint(20) NOT NULL COMMENT '模版引用的素材',
  `pictureBackgroundId` bigint(20) NOT NULL COMMENT '模版引用的背景',
  `fontId` bigint(20) NOT NULL COMMENT '模版引用的字体',
  `masterplateUseNum` int(4) NOT NULL COMMENT '模版被引用的次数。默认：0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='模版管理';

-- ----------------------------
-- Table structure for mortals_xhx_font_material
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_font_material`;
CREATE TABLE `mortals_xhx_font_material` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `fontName` varchar(32) NOT NULL COMMENT '字体名称',
  `createUserId` bigint(20) NOT NULL COMMENT '上传人',
  `createTime` datetime NOT NULL COMMENT '上传时间',
  `fontDesc` text NOT NULL COMMENT '字体描述',
  `fontPath` varchar(64) NOT NULL COMMENT '字体下载地址（相对地址）',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='字体素材';

-- ----------------------------
-- Table structure for mortals_xhx_idgenerator
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_idgenerator`;
CREATE TABLE `mortals_xhx_idgenerator` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `idType` varchar(50) NOT NULL COMMENT 'id类型',
  `idMaxValue` bigint(20) unsigned NOT NULL COMMENT 'id值',
  `remark` varchar(100) NOT NULL COMMENT '备注',
  `versionNum` bigint(20) unsigned NOT NULL COMMENT '版本号，默认0',
  `gmtModify` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '最后修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='主键Id生成器业务';

-- ----------------------------
-- Table structure for mortals_xhx_masterplate_use_info
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_masterplate_use_info`;
CREATE TABLE `mortals_xhx_masterplate_use_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `masterplateId` bigint(20) NOT NULL COMMENT '模版ID',
  `customerId` bigint(20) NOT NULL COMMENT '使用人ID',
  `customerName` varchar(32) NOT NULL COMMENT '使用人',
  `customerTelphone` varchar(11) NOT NULL COMMENT '使用人电话',
  `createTime` datetime NOT NULL COMMENT '使用时间',
  `customerOrganization` varchar(64) NOT NULL COMMENT '使用人单位',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='模版使用信息';

-- ----------------------------
-- Table structure for mortals_xhx_menu
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_menu`;
CREATE TABLE `mortals_xhx_menu` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `name` varchar(50) DEFAULT NULL COMMENT '菜单名称',
  `url` varchar(256) DEFAULT NULL COMMENT '连接地址',
  `parentId` bigint(20) DEFAULT NULL COMMENT '父菜单ID，一级菜单的该字段值为-1',
  `orderId` int(11) DEFAULT NULL COMMENT '排序编号',
  `status` tinyint(2) DEFAULT NULL COMMENT '菜单状态，0：禁用，1：启用，默认1',
  `linkType` tinyint(2) DEFAULT NULL COMMENT '链接方式，0：普通，1：弹出，2：脚本（JavaScript），默认0',
  `groupId` int(11) DEFAULT NULL COMMENT '分组编号，使用菜单分隔符按该值分隔，默认1',
  `groupName` varchar(255) DEFAULT NULL,
  `imgPath` varchar(128) DEFAULT NULL COMMENT '主菜单图标，主菜单图标的css样式名',
  `buttonImgPath` varchar(128) DEFAULT NULL COMMENT '按钮图标，按钮图标的css样式名',
  `imgCommPath` varchar(128) DEFAULT NULL COMMENT '常用菜单图标，常用菜单图标的css样式名',
  `commMenu` tinyint(2) DEFAULT NULL COMMENT '是否常用菜单，0：非常用，1：常用，默认0',
  `menuType` tinyint(2) DEFAULT NULL COMMENT '菜单类型，0：主菜单，1：非主菜单(功能操作组)，默认0',
  `authType` tinyint(2) DEFAULT NULL COMMENT '权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='菜单信息业务';

-- ----------------------------
-- Table structure for mortals_xhx_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_oper_log`;
CREATE TABLE `mortals_xhx_oper_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `platformMark` varchar(50) DEFAULT NULL COMMENT '平台标识',
  `userId` bigint(20) DEFAULT NULL COMMENT '用户id',
  `userName` varchar(50) DEFAULT NULL COMMENT '用户名称',
  `loginName` varchar(50) DEFAULT NULL COMMENT '用户登录名',
  `requestUrl` varchar(200) DEFAULT NULL COMMENT '请求地址',
  `content` varchar(2000) DEFAULT NULL COMMENT '操作内容，记录操作具体信息，如修改前修改或的数据',
  `ip` varchar(30) DEFAULT NULL COMMENT '操作IP地址',
  `logDate` datetime DEFAULT NULL COMMENT '操作时间',
  `operType` tinyint(2) DEFAULT NULL COMMENT '操作类型，0：新增，1：修改，2：删除',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=95 DEFAULT CHARSET=utf8 COMMENT='操作日志业务';

-- ----------------------------
-- Table structure for mortals_xhx_param
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_param`;
CREATE TABLE `mortals_xhx_param` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(100) DEFAULT NULL COMMENT '参数名称',
  `firstOrganize` varchar(100) DEFAULT NULL COMMENT '一级组织，如：平台配置',
  `secondOrganize` varchar(100) DEFAULT NULL COMMENT '二级组织，如：基础配置',
  `paramKey` varchar(100) DEFAULT NULL COMMENT '参数键，全局唯一',
  `paramValue` varchar(2000) DEFAULT NULL COMMENT '参数值',
  `validStatus` tinyint(2) DEFAULT NULL COMMENT '参数有效状态，0：禁用，1：启用，默认1',
  `modStatus` tinyint(2) DEFAULT NULL COMMENT '参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4',
  `displayType` tinyint(2) DEFAULT NULL COMMENT '展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='参数信息业务';

-- ----------------------------
-- Table structure for mortals_xhx_picture_material
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_picture_material`;
CREATE TABLE `mortals_xhx_picture_material` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `pictureName` varchar(32) NOT NULL COMMENT '图片名称',
  `pictureGroupId` bigint(20) NOT NULL COMMENT '图片分组（系统参数中获取，字典数据）',
  `pictureClassifyId` bigint(20) NOT NULL COMMENT '图片分类（系统参数中获取，字典数据）',
  `createUserId` bigint(20) NOT NULL COMMENT '上传人',
  `createTime` datetime NOT NULL COMMENT '上传时间',
  `pictureDesc` text NOT NULL COMMENT '图片描述',
  `picturePath` varchar(64) NOT NULL COMMENT '图片下载地址（相对地址）',
  `pictureType` tinyint(2) NOT NULL COMMENT '图片类型，0:普通图片，1：素材，2:背景图片。默认：0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='图片素材';

-- ----------------------------
-- Table structure for mortals_xhx_resource
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_resource`;
CREATE TABLE `mortals_xhx_resource` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `name` varchar(50) DEFAULT NULL COMMENT '名称',
  `url` varchar(2000) DEFAULT NULL COMMENT '连接地址，多个地址以逗号分隔',
  `authType` tinyint(2) DEFAULT NULL COMMENT '权限类型，0：无限制，1：无需登录查看，2：需要登录查看，3：需要角色权限查看，默认3',
  `sourceType` tinyint(2) DEFAULT NULL COMMENT '资源类型，0：系统资源，1：开放资源，默认0',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  `userType` tinyint(2) DEFAULT NULL COMMENT '用户类型，0：系统用户 1:代理商用户 2:品牌商用户',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='资源信息业务';

-- ----------------------------
-- Table structure for mortals_xhx_role
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role`;
CREATE TABLE `mortals_xhx_role` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(50) DEFAULT NULL COMMENT '角色名称',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `roleType` tinyint(2) DEFAULT NULL COMMENT '角色类型，0：系统内置角色（不可删除），1：默认系统角色，2：普通角色，默认2',
  `customerId` bigint(20) DEFAULT NULL COMMENT '归属客户ID',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  `userType` tinyint(2) DEFAULT NULL COMMENT '用户类型，0：系统用户 1:代理商用户 2:品牌商用户',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='角色信息业务';

-- ----------------------------
-- Table structure for mortals_xhx_role_auth
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role_auth`;
CREATE TABLE `mortals_xhx_role_auth` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `roleId` bigint(20) DEFAULT NULL COMMENT '角色ID',
  `resourceId` bigint(20) DEFAULT NULL COMMENT '资源ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色资源权限业务';

-- ----------------------------
-- Table structure for mortals_xhx_role_user
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_role_user`;
CREATE TABLE `mortals_xhx_role_user` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `roleId` bigint(20) DEFAULT NULL COMMENT '角色ID',
  `userId` bigint(20) DEFAULT NULL COMMENT '用户ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色用户业务';

-- ----------------------------
-- Table structure for mortals_xhx_site
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_site`;
CREATE TABLE `mortals_xhx_site` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID，主键，自增长',
  `siteName` varchar(64) NOT NULL COMMENT '站点名',
  `parentId` bigint(11) NOT NULL COMMENT '父级id',
  `ancestors` varchar(255) DEFAULT '' COMMENT '祖级列表，逗号分隔',
  `address` varchar(255) NOT NULL COMMENT '地址',
  `mobile` varchar(32) NOT NULL COMMENT '电话',
  `introduce` text NOT NULL COMMENT '单位介绍',
  `workday1` tinyint(1) DEFAULT NULL COMMENT '周一 1上班 0不上',
  `workday2` tinyint(1) DEFAULT NULL COMMENT '周二 1上班 0不上',
  `workday3` tinyint(1) DEFAULT NULL COMMENT '周三 1上班 0不上',
  `workday4` tinyint(1) DEFAULT NULL COMMENT '周四 1上班 0不上',
  `workday5` tinyint(1) DEFAULT NULL COMMENT '周五 1上班 0不上',
  `workday6` tinyint(1) DEFAULT NULL COMMENT '周六 1上班 0不上',
  `workday7` tinyint(1) DEFAULT NULL COMMENT '周日 1上班 0不上',
  `number` varchar(32) NOT NULL COMMENT '站点编号',
  `summary` text NOT NULL COMMENT '中心介绍',
  `orderNum` int(9) DEFAULT '0' COMMENT '排序字段',
  `status` tinyint(2) DEFAULT '1' COMMENT '站点状态 ，0，停用，1，正常 默认1',
  `updateTime` datetime DEFAULT NULL COMMENT '变更时间',
  `updateUser` varchar(50) DEFAULT NULL COMMENT '变更用户loginName',
  `createTime` datetime NOT NULL COMMENT '创建时间',
  `createUser` varchar(50) NOT NULL COMMENT '创建用户loginName',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='站点信息表';

-- ----------------------------
-- Table structure for mortals_xhx_table_index
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_table_index`;
CREATE TABLE `mortals_xhx_table_index` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `tableName` varchar(100) DEFAULT NULL COMMENT '表名称',
  `tableMark` varchar(100) DEFAULT NULL COMMENT '表标识',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='分索引信息业务';

-- ----------------------------
-- Table structure for mortals_xhx_task
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_task`;
CREATE TABLE `mortals_xhx_task` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
  `name` varchar(100) DEFAULT NULL COMMENT '任务名称',
  `taskKey` varchar(100) DEFAULT NULL COMMENT '任务关键字，区分任务执行流程',
  `status` tinyint(2) DEFAULT NULL COMMENT '任务状态，0：未启动，1：执行中，默认0',
  `excuteService` varchar(100) DEFAULT NULL COMMENT '任务执行服务',
  `excuteParam` text COMMENT '任务执行参数',
  `excuteHost` varchar(200) DEFAULT NULL COMMENT '任务执行主机，为空表示不限制任务的执行主机，多个用逗号分隔',
  `excuteStrategy` tinyint(2) DEFAULT NULL COMMENT '执行策略，1：按日，2：按周，3：按月，4：按间隔时间，默认1',
  `excuteDate` int(11) DEFAULT NULL COMMENT '执行日期，按日：则为0；按周：则为1-7；按月：则为：1-31；按间隔时间：则为间隔时间，单位：秒；默认0',
  `excuteTime` varchar(10) DEFAULT NULL COMMENT '执行时间，格式：HH:mm，默认：00:00',
  `remark` varchar(200) DEFAULT NULL COMMENT '备注',
  `lastExcuteHost` varchar(32) DEFAULT NULL COMMENT '最后执行主机',
  `lastExcuteTime` datetime DEFAULT NULL COMMENT '最后执行时间',
  `interimExcuteStatus` tinyint(2) DEFAULT NULL COMMENT '临时执行状态，0：未启用，1：立即执行并保留，2：立即执行并删除，默认0',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='任务信息业务';

-- ----------------------------
-- Table structure for mortals_xhx_uploadfile
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_uploadfile`;
CREATE TABLE `mortals_xhx_uploadfile` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'ID，主键，自增长',
  `fileName` varchar(50) DEFAULT NULL COMMENT '文件名称',
  `filePath` varchar(100) DEFAULT NULL COMMENT '文件路径',
  `fileType` tinyint(2) DEFAULT NULL COMMENT '文件类型，1 excel ,2 img,3 zip, 4 pdf',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUser` varchar(50) DEFAULT NULL COMMENT '创建用户',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='上传文件';

-- ----------------------------
-- Table structure for mortals_xhx_user
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_user`;
CREATE TABLE `mortals_xhx_user` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID，主键，自增长',
  `loginName` varchar(50) DEFAULT NULL COMMENT '登录名',
  `loginPwd` varchar(128) DEFAULT NULL COMMENT '登录密码，使用md5双次加密',
  `loginPwd1` varchar(128) DEFAULT NULL COMMENT '最近一次使用密码，使用md5双次加密',
  `loginPwd2` varchar(128) DEFAULT NULL COMMENT '最近二次使用密码，使用md5双次加密',
  `loginPwd3` varchar(128) DEFAULT NULL COMMENT '最近三次使用密码，使用md5双次加密',
  `loginLimitAddress` varchar(200) DEFAULT NULL COMMENT '登录限制地址，多个IP地址用逗号分隔，可以使用IP段匹配，如：172.17.*非空：则只能该值内的IP可以登录',
  `realName` varchar(50) DEFAULT NULL COMMENT '用户名',
  `mobile` varchar(21) DEFAULT NULL COMMENT '用户手机号',
  `phone` varchar(21) DEFAULT NULL COMMENT '用户联系电话',
  `email` varchar(50) DEFAULT NULL COMMENT '用户邮箱',
  `qq` varchar(20) DEFAULT NULL COMMENT 'QQ号码',
  `userType` tinyint(2) DEFAULT NULL COMMENT '用户类型，0：系统用户 1:普通用户 2:工作人员，默认2',
  `siteId` bigint(20) DEFAULT NULL COMMENT '站点id',
  `status` tinyint(2) DEFAULT NULL COMMENT '用户状态，0：停用，1：正常，2：冻结，3：销户，4：离职，默认1',
  `customerId` bigint(20) DEFAULT NULL COMMENT '客户ID',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
  `createUserName` varchar(50) DEFAULT NULL COMMENT '创建用户名称',
  `lastLoginTime` datetime DEFAULT NULL COMMENT '最后一次登录时间',
  `lastLoginAddress` varchar(21) DEFAULT NULL COMMENT '最后一次登录地址',
  `lastModPwdTime` datetime DEFAULT NULL COMMENT '最后修改密码时间',
  `lastModPwdAddr` varchar(21) DEFAULT NULL COMMENT '最后修改密码地址',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='用户信息业务';

-- ----------------------------
-- Table structure for mortals_xhx_valid_code
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_valid_code`;
CREATE TABLE `mortals_xhx_valid_code` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID，主键，自增长',
  `code` varchar(10) DEFAULT NULL COMMENT '验证码',
  `url` varchar(500) DEFAULT NULL COMMENT '校验地址，email校验使用',
  `mobile` varchar(21) DEFAULT NULL COMMENT '校验手机号',
  `email` varchar(50) DEFAULT NULL COMMENT '校验邮箱',
  `type` tinyint(2) DEFAULT NULL COMMENT '校验方式，0：图片校验，1：手机校验，2：邮箱校验，默认0',
  `sessionId` varchar(50) DEFAULT NULL COMMENT '会话ID',
  `ip` varchar(50) DEFAULT NULL COMMENT 'IP地址',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `lapseTime` datetime DEFAULT NULL COMMENT '失效时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COMMENT='验证码信息业务';
