package com.mortals.xhx.module.customer.web;
import com.mortals.framework.common.IBaseEnum;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.util.DateUtils;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.common.code.MemberLevelEnum;
import com.mortals.xhx.common.code.WorkDesignStatusEnum;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.customer.model.CustomerWorkDesignEntity;
import com.mortals.xhx.module.customer.model.CustomerWorkDesignQuery;
import com.mortals.xhx.module.customer.service.CustomerWorkDesignService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;

import java.util.*;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 客户作品信息
*
* @author zxfei
* @date 2022-06-14
*/
@RestController
@RequestMapping("customer/work/design")
public class CustomerWorkDesignController extends BaseCRUDJsonBodyMappingController<CustomerWorkDesignService,CustomerWorkDesignEntity,Long> {

    public CustomerWorkDesignController(){
        super.setModuleDesc( "客户作品信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "workDesignStatus", IBaseEnum.getEnumMap(WorkDesignStatusEnum.class));
        super.init(model, context);
    }

    @Override
    protected int doListAfter(CustomerWorkDesignEntity query, Map<String, Object> model, Context context) throws AppException {
        List<CustomerWorkDesignEntity> resultList = (List<CustomerWorkDesignEntity>) model.get("data");
        List<CustomerWorkDesignEntity> draft = new ArrayList<>();
        List<CustomerWorkDesignEntity> release = new ArrayList<>();
        if(CollectionUtils.isNotEmpty(resultList)){
            resultList.stream().forEach(item->{
                item.setCreateTimeStr(DateUtils.getDateTimeStr(item.getCreateTime(),DateUtils.P_yyyy_MM_dd_HH_mm_ss));
                if(item.getWorkDesignStatus()==WorkDesignStatusEnum.DRAFT.getValue()){
                    draft.add(item);
                }else {
                    release.add(item);
                }
            });
        }
        Map<String, Object> map = new HashMap<>();
        map.put("draft",draft);
        map.put("release",release);
        model.put("data",map);
        return 1;
    }
}